Page MenuHomePhabricator

Add User Preference Option to hide reverted edits from Watchlist and Page History
Open, LowestPublic

Description

Author: kovo1

Description:
There should be a User Preference Option to hide reverted edits from the Watchlist and Page History. This would save a lot of "eyeball time" looking over changes whose net result is null.


Version: unspecified
Severity: enhancement

Details

Reference
bz11664

Event Timeline

bzimport raised the priority of this task from to Lowest.Nov 21 2014, 10:00 PM
bzimport set Reference to bz11664.
bzimport added a subscriber: Unknown Object (MLST).
brion added a comment.Oct 15 2007, 8:53 PM

Unlikely to want to hide them, though an indication might be useful. That won't be possible until there's some kind of metadata indicating that a revision was reverted, though.

kovo1 wrote:

Could it be hidden if the bytecount change was zero?

Set to LATER. Cannot be done now per comment 1.

In reply to comment 2: a bytecount change of 0 is only that. A lot can be done to a page without changing the byte count.

[Removing RESOLVED LATER as discussed in http://lists.wikimedia.org/pipermail/wikitech-l/2012-November/064240.html . Reopening and setting priority to "Lowest". For future reference, please use either RESOLVED WONTFIX (for issues that will not be fixed), or simply set lowest priority. Thanks a lot!]

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 22 2016, 6:21 PM
He7d3r awarded a token.Oct 5 2020, 5:24 PM
He7d3r added a subscriber: He7d3r.

I wonder if this deserves a higher priority now, given that https://gerrit.wikimedia.org/r/609773 implemented some kind of metadata (T254074: Implement the reverted edit tag). This feature should help with part of the concerns raised at

...
As for Huggle, not only there is a chronic problem of people willing to waste their volunteer time there operating it, instead of creating content, but it's a bad solution as well, since it fills up the historic of the articles with revertions after revertions, polluting it and making it much less readable.
...